Bug 128016 - FILEOPEN DOCX: Category labels are duplicated.
Summary: FILEOPEN DOCX: Category labels are duplicated.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2019-10-08 10:00 UTC by NISZ LibreOffice Team
Modified: 2019-11-06 15:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Writer 6.2.5.2 and 6.4.0.0.alpha0+ (72.25 KB, image/png)
2019-10-08 10:01 UTC, NISZ LibreOffice Team
Details
Example file from Word (30.89 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-10-08 10:02 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-10-08 10:00:07 UTC
Description:
Category labels of a line chart are duplicated in Word document, when the document is opened in LibreOffice Writer 6.4.0.0.alpha0+.

Steps to Reproduce:
    1. Create a DOCX document in Microsoft Word.
    2. Insert a line chart.
    3. Select the second line of the chart.
    4. Align data series to the secondary axis.
    5. Save the document.
    6. Open the file with LibreOffice Writer 6.2.5.2 and 6.4.0.0.alpha0+.
    7. View the attached screenshot.
    8. Notice, that category labels are duplicated, when the document is opened in 6.4.0.0.alpha0+.


Actual Results:
Actual results:
Category labels are duplicated, when the document is opened in 6.4.0.0.alpha0+.

Expected Results:
Expected results:
Category labels shouldn’t be duplicated, when the document is opened in 6.4.0.0.alpha0+.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.4.0.0.alpha0+ (x64)
Build ID: 25ca657f8d0f1febaf0d5984bc862f3072ad197b
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded

Additional Information: 

Bibisected using bibisect-win64-6.4 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=fa0a981af41a2606541eec1cb20a379a739691e0
author: Balazs Varga <balazs.varga991@gmail.com>	2019-07-17 12:57:47 +0200
committer: László Németh <nemeth@numbertext.org>2019-07-24 14:04:06 +0200
summary: tdf#114166 DOCX chart import: fix missing complex categories
Comment 1 NISZ LibreOffice Team 2019-10-08 10:01:59 UTC
Created attachment 154825 [details]
Screenshot of the original document side by side in Writer 6.2.5.2 and 6.4.0.0.alpha0+
Comment 2 NISZ LibreOffice Team 2019-10-08 10:02:23 UTC
Created attachment 154826 [details]
Example file from Word
Comment 3 Xisco Faulí 2019-10-08 12:07:08 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 52cda5c5ae426761ccbdb4f20419098eab195303
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Commit Notification 2019-10-12 07:24:34 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e0b0502516a10181bbd1737b93b38b2bba4c98e8

tdf#128016 Chart OOXML Import: fix duplicated category labels

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-10-16 10:26:41 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: e2d82611088677f8ec9f038639567f2d7c699b5e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Balázs Varga, thanks for fixing this issue!
Comment 6 Commit Notification 2019-10-16 10:30:38 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/1ae3be79982b1d239fcdae235e3d6e7be185144c

tdf#128016 Chart OOXML Import: fix duplicated category labels

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.